[ubuntu/oneiric] openssl098 0.9.8o-7ubuntu1 (Accepted)

Colin Watson cjwatson at ubuntu.com
Mon Sep 5 19:01:44 UTC 2011


openssl098 (0.9.8o-7ubuntu1) oneiric; urgency=low

  * Add openssl098 compatibility package from Debian, reapplying the
    corresponding Ubuntu changes to openssl:
    - debian/libssl0.9.8.postinst: Use a different priority for
      libssl0.9.8/restart-services depending on whether a desktop or server
      dist-upgrade is being performed.
    - debian/{libcrypto0.9.8-udeb.dirs, libssl0.9.8.dirs, libssl0.9.8.files,
      rules}: Move runtime libraries to /lib, for the benefit of
      wpasupplicant.
    - debian/patches/aesni.patch: Backport Intel AES-NI support from
      http://rt.openssl.org/Ticket/Display.html?id=2067.
    - debian/patches/Bsymbolic-functions.patch: Link using
      -Bsymbolic-functions.
    - debian/patches/perlpath-quilt.patch: Don't change perl #! paths under
      .pc.
    - debian/patches/no-sslv2.patch: Disable SSLv2 to match NSS and GnuTLS.
      The protocol is unsafe and extremely deprecated. (Closes: #589706)
    - debian/rules:
      + Disable SSLv2 during compile. (Closes: #589706)
      + Don't run 'make test' when cross-building.
      + Use host compiler when cross-building.  Patch from Neil Williams.
        (Closes: #465248)
      + Don't build for processors no longer supported: i486, i586 (on
        i386), v8 (on sparc).
      + Fix Makefile to properly clean up libs/ dirs in clean target.
        (Closes: #611667)
  * Dropped changes no longer required in this compatibility package:
    - Display a system-restart-required notification on libssl0.9.8 upgrade.
      (libssl1.0.0 will take care of this from now on.)
    - Create libssl0.9.8-udeb.
    - Move documentation to openssl-doc.
    - Replace duplicate files in the doc directory with symlinks.

openssl098 (0.9.8o-7) unstable; urgency=low

  * Re-add libcrypto0.9.8-udeb for easier transition.

openssl098 (0.9.8o-6) unstable; urgency=low

  * Upload as transitional openssl098 source package, just keeping
    the library.

Date: Mon, 05 Sep 2011 13:35:52 +0100
Changed-By: Colin Watson <cjwatson at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/oneiric/+source/openssl098/0.9.8o-7ubuntu1
-------------- next part --------------
Format: 1.8
Date: Mon, 05 Sep 2011 13:35:52 +0100
Source: openssl098
Binary: libssl0.9.8 libssl0.9.8-dbg libcrypto0.9.8-udeb
Architecture: source
Version: 0.9.8o-7ubuntu1
Distribution: oneiric
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Colin Watson <cjwatson at ubuntu.com>
Description: 
 libcrypto0.9.8-udeb - crypto shared library - udeb (udeb)
 libssl0.9.8 - SSL shared libraries
 libssl0.9.8-dbg - Symbol tables for libssl and libcrypto
Closes: 465248 589706 611667
Changes: 
 openssl098 (0.9.8o-7ubuntu1) oneiric; urgency=low
 .
   * Add openssl098 compatibility package from Debian, reapplying the
     corresponding Ubuntu changes to openssl:
     - debian/libssl0.9.8.postinst: Use a different priority for
       libssl0.9.8/restart-services depending on whether a desktop or server
       dist-upgrade is being performed.
     - debian/{libcrypto0.9.8-udeb.dirs, libssl0.9.8.dirs, libssl0.9.8.files,
       rules}: Move runtime libraries to /lib, for the benefit of
       wpasupplicant.
     - debian/patches/aesni.patch: Backport Intel AES-NI support from
       http://rt.openssl.org/Ticket/Display.html?id=2067.
     - debian/patches/Bsymbolic-functions.patch: Link using
       -Bsymbolic-functions.
     - debian/patches/perlpath-quilt.patch: Don't change perl #! paths under
       .pc.
     - debian/patches/no-sslv2.patch: Disable SSLv2 to match NSS and GnuTLS.
       The protocol is unsafe and extremely deprecated. (Closes: #589706)
     - debian/rules:
       + Disable SSLv2 during compile. (Closes: #589706)
       + Don't run 'make test' when cross-building.
       + Use host compiler when cross-building.  Patch from Neil Williams.
         (Closes: #465248)
       + Don't build for processors no longer supported: i486, i586 (on
         i386), v8 (on sparc).
       + Fix Makefile to properly clean up libs/ dirs in clean target.
         (Closes: #611667)
   * Dropped changes no longer required in this compatibility package:
     - Display a system-restart-required notification on libssl0.9.8 upgrade.
       (libssl1.0.0 will take care of this from now on.)
     - Create libssl0.9.8-udeb.
     - Move documentation to openssl-doc.
     - Replace duplicate files in the doc directory with symlinks.
 .
 openssl098 (0.9.8o-7) unstable; urgency=low
 .
   * Re-add libcrypto0.9.8-udeb for easier transition.
 .
 openssl098 (0.9.8o-6) unstable; urgency=low
 .
   * Upload as transitional openssl098 source package, just keeping
     the library.
Checksums-Sha1: 
 8865a7277a173c7897a99e3923f41736d635ba5a 2130 openssl098_0.9.8o-7ubuntu1.dsc
 80c73afc7dca790cd26936cb392a4dfd14d4e4d7 3772542 openssl098_0.9.8o.orig.tar.gz
 bb16b5a81c1f4b7ef5253be34b7fc89c570966c5 92231 openssl098_0.9.8o-7ubuntu1.debian.tar.gz
Checksums-Sha256: 
 241c547125fecfac9c248b2cb0865ea68f9ded4bd2e2c31ed98e7140ba3e990e 2130 openssl098_0.9.8o-7ubuntu1.dsc
 befada1ac3819b1d317df8197b5e82ec768b39d250fcbef81e2b1cb7f165d448 3772542 openssl098_0.9.8o.orig.tar.gz
 7fb6330132de274d2df6765a2ac5d18703c604e62a8dec4a6f67638e3ed66d08 92231 openssl098_0.9.8o-7ubuntu1.debian.tar.gz
Files: 
 09e9dcad39d81abe54d9f345f8d198fe 2130 utils optional openssl098_0.9.8o-7ubuntu1.dsc
 63ddc5116488985e820075e65fbe6aa4 3772542 utils optional openssl098_0.9.8o.orig.tar.gz
 0fb4ad1fcfd3b29cbbec45c416c4418a 92231 utils optional openssl098_0.9.8o-7ubuntu1.debian.tar.gz
Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel at lists.alioth.debian.org>


More information about the Oneiric-changes mailing list